ALP_Configuration (API of loworks store)

# autoloadplus

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

autoloadplus.ALP_Configuration
/classes/Configuration.class.php at line 10

# Class ALP_Configuration

    ALP_Configuration

public class ALP_Configuration

Author:
  keiji /

Field Summary
final str | PROJECT_LOCATION_TEXT_NAME

Method Summary
static array | getClassNames(mixed fileName, mixed folderPath, $fileName 評価されるスクリプトファイル名, $folderPath 評価されるスクリプトファイルが置かれたフォルダのパス) 引き数で渡されたスクリプトファイルが、クラスを定義したファイルかどうかを評価します。 この関数では、そのスクリプトファイルが定義したクラス名を入れた配列を、返します。 クラスを定義していない場合、空の配列を返して下さい。 この関数は、各プロジェクトごとの、命名規則や、フォルダ階層に応じて実装して下さい。
private static void | getConfigurationTextPath()
static void | getProjectLocation()
static void | setProjectLocation(mixed projectLocation, mixed libraryRootFolder)

## Field Detail

/classes/Configuration.class.php at line 11

### PROJECT_LOCATION_TEXT_NAME

`public final str PROJECT_LOCATION_TEXT_NAME = 'project_location.txt'`

## Method Detail

/classes/Configuration.class.php at line 40

### getClassNames

`public static array getClassNames(mixed fileName, mixed folderPath, $fileName 評価されるスクリプトファイル名, $folderPath 評価されるスクリプトファイルが置かれたフォルダのパス)`

引き数で渡されたスクリプトファイルが、クラスを定義したファイルかどうかを評価します。 この関数では、そのスクリプトファイルが定義したクラス名を入れた配列を、返します。 クラスを定義していない場合、空の配列を返して下さい。 この関数は、各プロジェクトごとの、命名規則や、フォルダ階層に応じて実装して下さい。

Returns:
  定義されたクラス名を入れた配列

/classes/Configuration.class.php at line 13

### getConfigurationTextPath

`private static void getConfigurationTextPath()`

/classes/Configuration.class.php at line 17

### getProjectLocation

`public static void getProjectLocation()`

/classes/Configuration.class.php at line 23

### setProjectLocation

`public static void setProjectLocation(mixed projectLocation, mixed libraryRootFolder)`

# autoloadplus

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr